ignite-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Konstantin Boudnik (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (IGNITE-1195) Released Ignite version 1.3.0 does not build with -Dhadoop.version=2.6.0
Date Tue, 18 Aug 2015 21:17:47 GMT

    [ https://issues.apache.org/jira/browse/IGNITE-1195?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14701998#comment-14701998
] 

Konstantin Boudnik commented on IGNITE-1195:
--------------------------------------------

Yeah, I am pretty convinced that there should be a better way of solving this: perhaps making
Hadoop 2.7.0 as the requirement for Ignite 1.3+? Or dropping {{@Override}} annotation all
together from the line in question? This way it will get compiled just fine with Hadoop 2.6.
What do you think?

Mixing different versions of base hadoop and yarn would be a real bad idea. 

> Released Ignite version 1.3.0 does not build with -Dhadoop.version=2.6.0
> ------------------------------------------------------------------------
>
>                 Key: IGNITE-1195
>                 URL: https://issues.apache.org/jira/browse/IGNITE-1195
>             Project: Ignite
>          Issue Type: Bug
>            Reporter: Ivan Veselovsky
>            Assignee: Nikolay Tikhonov
>             Fix For: 1.1.4, ignite-1.4
>
>         Attachments: ignite-1195.patch
>
>
> Released version 1.3.0 (http://archive.apache.org/dist/incubator/ignite/1.3.0//apache-ignite-1.3.0-incubating-src.zip,
http://apache.osuosl.org/incubator/ignite/1.3.0//apache-ignite-1.3.0-incubating-src.zip) does
not build with argument 
> -Dhadoop.version=2.6.0  ( mvn clean package -DskipTests -Dhadoop.version=2.6.0 -Dignite.edition=hadoop),

> [ERROR] COMPILATION ERROR : 
> [INFO] -------------------------------------------------------------
> [ERROR] /tmp/apache-ignite-1.3.0-incubating-src/modules/yarn/src/test/java/org/apache/ignite/yarn/IgniteApplicationMasterSelfTest.java:[368,9]
method does not override or implement a method from a supertype
> [INFO] 1 error 
> [INFO] -------------------------------------------------------------



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message